-- BetterCompass v1.4 by GraySloth 2013-Nov-06

Assets =
{
	Asset("ANIM", "anim/swap_compass.zip"),
}

local function onequip(inst, owner)
	inst:DoTaskInTime(0, function() -- TheSim can't be called before load so this makes sure the game is loaded before trying.
		if TheSim then --Probably unnecessary, but this is just extra safety to prevent really rare and unusual crashes.
			local minimap = TheSim:FindFirstEntityWithTag("minimap")
			
			if minimap then
				minimap.MiniMap:EnableFogOfWar(false)
			end
		end
	end)
    owner.AnimState:OverrideSymbol("swap_object", "swap_compass", "swap_lighter")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
	inst:DoTaskInTime(0, function() --not as important as the onequip, but better safe then sorry amirite?
		if TheSim then
			local minimap = TheSim:FindFirstEntityWithTag("minimap")
			local mapportato = TheSim:FindFirstEntityWithTag("mapportato") --this adds compatibility for my mapportato mod for people who like both, personaly I am a Better Compass kind of guy.
			
			if minimap and not mapportato then
				minimap.MiniMap:EnableFogOfWar(true)
			end
		end
    end)
	owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end

function bettercompass(inst)
	inst:AddComponent("equippable")
	inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip ) 
	inst.OnLoad = OnLoad
end
AddPrefabPostInit("compass", bettercompass)